<include src="{{DATEBOX_PATH}}datebox.html" />
<include src="{{LISTBOX_PATH}}listbox.html" />
<include src="{{./}}listbox.rs" />

<webbox id="purchaseEdit">
<form name="purchaseEdit" onsubmit="return false;">
<input type="submit" class="hidden_submit" value=""
       onclick="this.focus(); save();" />
<include src="{{./}}header.html" />
<table class="input-form">
  <tr>
    <td valign="top">
      <br />
      <table class="group-box">
        <tr>
          <td>T_("Item"):</td>
          <td>
            <webobject class="listbox" name="item"
                       rs="items" value="{{item}}" 
                       width="--------------------" />
          </td>
        </tr>
        <tr>
          <td>T_("Partner"):</td>
          <td>
            <webobject class="listbox" name="partner"
                       rs="partners" value="{{partner}}" 
                       width="--------------------" />
          </td>
        </tr>
      </table>
    </td>

    <td valign="top">
      <br />
      <table class="group-box">
        <tr>
          <td>T_("Date"):</td>
          <td>
            <WebObject Class="datebox" Name="purchase_date"
                       value="{{purchase_date}}"
                       format="DD/MM/YYYY"
                       onchange="date_not_in_future(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Quantity"):</td>
          <td>
            <input type="text" name="quantity" value="{{quantity}}" size="10"/>
            <if condition="'{{item}}'!=''">{{unit}}</if>
          </td>
        </tr>
        <tr>
          <td>T_("Price"):</td>
          <td>
            <input type="text" name="price" value="{{price}}" size="10" />
            T_("USD")
          </td>
        </tr>
      </table>
    </td>

    <if condition="'{{mode}}'=='add'">
    <td valign="top">
      <br />
      <table class="group-box">
        <tr>
          <td>
            T_("Create a New Payment:")
            <input type="checkbox" name="add_payment" />
          </td>
        </tr>
      </table>
    </td>
    </if>

    <if condition="'{{mode}}'=='edit'">
    <td valign="top">
      <br />
      <table class="group-box">
        <tr>
          <td>
            T_("Payment Nr"):
            <input type="text" name="payment_id" value="{{payment_id}}"
                   size="5" />
            <a class="button"
               href="javascript:change_payment('{{payment_id}}')">
               T_("Save")</a>
          </td>
        </tr>
        <tr>
          <td align="right">
            <if condition="'{{payment_id}}'==''">
              <a class="button" href="javascript:add_payment()">
                 T_("Add New Payment")</a>
            </if>
            <if condition="'{{payment_id}}'!=''">
              <a class="button"
                 href="javascript:view_payment('{{payment_id}}')">
                 T_("View Payment")</a>
            </if>
          </td>
        </tr>
      </table>
    </td>
    </if>

    <td valign="top">
      T_("Notes"): <br />
      <textarea name="notes" rows="2" cols="20">{{notes}}</textarea>
    </td>
  </tr>

  <if condition="'{{mode}}'=='edit'">
  <tr>
    <td align="right" colspan="10">
      T_("Last modified on: {{modification_date}}")
    </td>
  </tr>
  </if>
</table>

</form>
</webbox>
